/// <reference types="express-serve-static-core" />
import { GunGraphAdapter, GunGraphData } from '@chaingun/types';
export declare function makeValidationAdapter(adapter: GunGraphAdapter, validate: (graph: GunGraphData) => Promise<boolean>): GunGraphAdapter;
export declare function validateGraph(graph: GunGraphData): Promise<boolean>;
export declare function makeServer(opts?: {
    mapSize: number;
    path: string;
}): Express.Application;
